Subject: Re: [PATCH net-next v7 28/28] net: WireGuard secure network tunnel

From: Andrew Lunn <[email-masked]>
Date: Sun, 7 Oct 2018 20:42:46 +0200

> Apart from Dan's clarity argument, what if you need to insert another
> step to create the interface, thereby necessitating another step in
> the error path?  Are you going to call it 4a, 4b, ...?  Because you
> don't want to inflate that future patch by renaming every single
> label.

Hi Lukas

You beat me to it.

Jason, the things to understand is, Wireguard is not finished. It has
only just started. The code will develop further, changes will be
made. We need the code to be easy to make changes to. As Lukas just
pointed out, this number construct is hard to change in a minimal way,
making a patch small, and obviously correct.

       Andrew